Bug 174426 - [patch] add sourceforge mirror to devel/pcre
Summary: [patch] add sourceforge mirror to devel/pcre
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-14 07:10 UTC by 4721@hushmail.com
Modified: 2013-01-16 19:40 UTC (History)
0 users

See Also:


Attachments
file.diff (455 bytes, patch)
2012-12-14 07:10 UTC, 4721@hushmail.com
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 4721@hushmail.com 2012-12-14 07:10:00 UTC
attached patch adds sourceforge mirror for devel/pcre, providing some http mirrors.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-14 07:10:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-01-16 19:37:33 UTC
Author: bf
Date: Wed Jan 16 19:37:20 2013
New Revision: 310518
URL: http://svnweb.freebsd.org/changeset/ports/310518

Log:
  Add Sourceforge mirrors [1]; remove NOPORTDOCS; trim Makefile header
  
  PR:		174426 [1]
  Submitted by:	4721@hushmail.com [1]

Modified:
  head/devel/pcre/Makefile

Modified: head/devel/pcre/Makefile
==============================================================================
--- head/devel/pcre/Makefile	Wed Jan 16 19:36:26 2013	(r310517)
+++ head/devel/pcre/Makefile	Wed Jan 16 19:37:20 2013	(r310518)
@@ -1,14 +1,11 @@
-# New ports collection makefile for:	pcre
-# Date created:				08 July 1998
-# Whom:					dom
-#
+# Created by: dom
 # $FreeBSD$
-#
 
 PORTNAME=	pcre
 PORTVERSION=	8.32
 CATEGORIES=	devel
-MASTER_SITES=	ftp://ftp.csx.cam.ac.uk/pub/software/programming/%SUBDIR%/ \
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION} \
+		ftp://ftp.csx.cam.ac.uk/pub/software/programming/%SUBDIR%/ \
 		ftp://ftp.fu-berlin.de/unix/misc/%SUBDIR%/ \
 		ftp://ftp.tin.org/pub/libs/%SUBDIR%/
 MASTER_SITE_SUBDIR=${PORTNAME}
@@ -158,7 +155,7 @@ MLINKS+=	pcre_assign_jit_stack.3 pcre16_
 		pcre_version.3 pcre16_version.3 \
 		pcre_version.3 pcre32_version.3
 post-patch:
-.if defined(NOPORTDOCS)
+.if !${PORT_OPTIONS:MDOCS}
 	@${REINPLACE_CMD} -E -e '/^install-data-am/,/^$$/ s,install-(dist_doc|dist_html|html)DATA,,g' \
 		${WRKSRC}/Makefile.in
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Brendan Fabeny freebsd_committer 2013-01-16 19:38:44 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!